Fill a library form for a client
curl --request POST \
--url https://advisor.redbark.com/api/v1/clients/{client}/form_fills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"form_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({form_id: '<string>'})
};
fetch('https://advisor.redbark.com/api/v1/clients/{client}/form_fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/clients/{client}/form_fills"
payload = { "form_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"object": "form_fill",
"id": "<string>",
"number": 123,
"client_id": "<string>",
"name": "<string>",
"form_id": "<string>",
"layout_id": "<string>",
"group_id": "<string>",
"status": "draft",
"detection": "waiting",
"mapped": true,
"people": [
{
"role": "<string>",
"person_id": "<string>"
}
],
"checklist_item_id": "<string>",
"counts": {
"filled": 123,
"to_check": 123,
"missing": 123,
"left_for_client": 123
},
"created_at": "<string>",
"updated_at": "<string>",
"downloaded_at": "<string>",
"page_count": 123,
"kind": "acroform",
"roles": [
{
"key": "<string>",
"label": "<string>"
}
],
"mapping_version": 123,
"fields": [
{
"id": "<string>",
"page": 123,
"box": {
"left": 123,
"top": 123,
"width": 123,
"height": 123
},
"type": "text",
"label": "<string>",
"section": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"source": "<string>",
"role": "<string>",
"format": "<string>",
"agreement": 123
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Forms
Fill a library form for a client
Starts a fill of a form from the firm’s Forms for one client and fills every field it can from the client’s facts, people, accounts and the firm. Give people to say which client person is each person on the form; with one of each it is set for you. To fill a blank PDF instead, use create_form_fill_upload.
POST
/
clients
/
{client}
/
form_fills
Fill a library form for a client
curl --request POST \
--url https://advisor.redbark.com/api/v1/clients/{client}/form_fills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"form_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({form_id: '<string>'})
};
fetch('https://advisor.redbark.com/api/v1/clients/{client}/form_fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/clients/{client}/form_fills"
payload = { "form_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"object": "form_fill",
"id": "<string>",
"number": 123,
"client_id": "<string>",
"name": "<string>",
"form_id": "<string>",
"layout_id": "<string>",
"group_id": "<string>",
"status": "draft",
"detection": "waiting",
"mapped": true,
"people": [
{
"role": "<string>",
"person_id": "<string>"
}
],
"checklist_item_id": "<string>",
"counts": {
"filled": 123,
"to_check": 123,
"missing": 123,
"left_for_client": 123
},
"created_at": "<string>",
"updated_at": "<string>",
"downloaded_at": "<string>",
"page_count": 123,
"kind": "acroform",
"roles": [
{
"key": "<string>",
"label": "<string>"
}
],
"mapping_version": 123,
"fields": [
{
"id": "<string>",
"page": 123,
"box": {
"left": 123,
"top": 123,
"width": 123,
"height": 123
},
"type": "text",
"label": "<string>",
"section": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"source": "<string>",
"role": "<string>",
"format": "<string>",
"agreement": 123
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Authorizations
Body
application/json
Response
Created.

